/* -*- mode: c++; c-basic-offset: 3; -*- */
#ifndef GDS_TRENDER_HH
#define GDS_TRENDER_HH

#include "DaccIn.hh"
#include "Trend.hh"
#include "Channel.hh"
#include "SigFlag.hh"
#include <vector>

class trender {
public:
  trender(int argc, const char* argv[]);
  ~trender(void);
  void Loop(void);
  bool OK(void) const {return active && !mTerm;}
private:
  DaccIn In;
  Trend mTrend;
  typedef std::vector<Channel> chan_list;
  typedef chan_list::const_iterator const_chan_iterator;
  chan_list mChanList;
  bool active;
  SigFlag mTerm;
};
#endif // !defined(GDS_TRENDER_HH)
